updateTradeNote

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer API Key
noteIdyesstringNote ID that is generated by the API once a trade note is created (addTradeNote)
authorNamenostringAuthor Name
notesnostringNotes

Sample Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/updateTradeNote
-d clientID=someclientid
-d developerAPIKey=somedeveloperkey
-d authorName=authorName
-d notes=notes
-d noteId=1456

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
notesDetailsstringArray of trade notes includes all information of the matched noteId

Sample Response

{
    "statusCode": "101",
    "statusDesc": "Ok",
    "notesDetails": [
        true,
        [
            {
                "noteId": "2821",
                "authorname": "Prabhu",
                "note": "testing2",
                "createdDate": "2022-03-16"
            }
        ]
    ]
}
Body Params
string
required
string
required
string
required
string
string
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!